Skip to content
GET /unified/calendar/event_types/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

Unique identifier of the Event Type

2 supported
Cal.com
supported
Calendly
supported
allow_schedulingboolean

Whether scheduling an Event is allowed using this Event Type

1 supported
Calendly
supported
colorstring

The color associated with this Event Type

2 supported
Cal.com
supported
Calendly
supported
created_atstring · date-time

The date and time at which this Event Type was created

1 supported
Calendly
supported
descriptionstring

The description of the Event Type

2 supported
Cal.com
supported
Calendly
supported
durationnumber

The length of the Event scheduled using this Event Type in minutes

2 supported
Cal.com
supported
Calendly
supported
form_fieldsobject[]

Form fields associated with the Event Type

1 supported
Calendly
supported
is_enabledboolean

Is the form field enabled?

is_requiredboolean

Is the form field required to be answered?

labelstring

Label used for the field

optionsobject[]

The choices to be selected in case of multi-choice fields

2 properties
labelstring

Human readable name for the choice

valuestring

The value for the choice

positionnumber

Order of the field in the form

typestring

The type of the form field

Possible values:
stringtextrich_textnumberbooleandatedatetimetimeenumarrayfile
labelstring

Human readable name of the Event Type

2 supported
Cal.com
supported
Calendly
supported
locationsobject[]

The location choices associated with the Event Type

2 supported
Cal.com
supported
Calendly
supported
addressobject
6 properties
citystring

The city of the address.

countrystring

The country of the address.

postal_codestring

The postal code of the address.

statestring

The state of the address.

street_1string

The first line of the street address.

street_2string

The second line of the street address.

coordinatesobject
2 properties
latitudenumber

The latitude of the location.

longitudenumber

The longitude of the location.

idstring

The unique identifier of the location.

namestring

The name of the location.

urlstring

The URL of the location.

namestring

Slug or unique readable name of the Event Type

2 supported
Cal.com
supported
Calendly
supported
positionnumber

The position of the Event Type on a listing page

2 supported
Cal.com
supported
Calendly
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

Status of the Event Type

Possible values:
activearchived
1 supported
Calendly
supported
updated_atstring · date-time

The date and time at which this Event Type was last modified

1 supported
Calendly
supported
urlsobject[]

URLs associated with the Event Type

1 supported
Calendly
supported
typestring

The type of the URL

Possible values:
scheduling
urlstring
curl -X GET 'https://api.truto.one/unified/calendar/event_types/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/calendar/event_types/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/calendar/event_types/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'calendar',
  'eventtypes',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "calendar",
        "eventtypes",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())